


class FormClass
{
    constructor(domItem) {
        this.item = domItem
        this.formData = null
    }

    validateField()
    {

    }
    setAsValid(field)
    {
    }
    setAsInvalid(field){}
    addSuccessFeedback(field){}
    addErrorFeedback(field){}
    getFormData() {
        let data = {}
        this.item.serializeArray().forEach((e) => {
            data[e.name] = e.value
        }
        )
        this.formData = data
        return this.formData
    }
}